## org.h2.command.ddl
Class CreateTrigger

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.CreateTrigger

    public class CreateTrigger

extends SchemaCommand

This class represents the statement CREATE TRIGGER

Field Summary

Fields inherited from class org.h2.command.ddl.DefineCommand
`transactional`

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`CreateTrigger(Session session, Schema schema)`

Method Summary
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setBefore(boolean before)`
`void` `setForce(boolean force)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setInsteadOf(boolean insteadOf)`
`void` `setNoWait(boolean noWait)`
`void` `setOnRollback(boolean onRollback)`
`void` `setQueueSize(int size)`
`void` `setRowBased(boolean rowBased)`
`void` `setTableName(java.lang.String tableName)`
`void` `setTriggerClassName(java.lang.String triggerClassName)`
`void` `setTriggerName(java.lang.String name)`
`void` `setTriggerSource(java.lang.String triggerSource)`
`void` `setTypeMask(int typeMask)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta, setTransactional`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateTrigger

    public CreateTrigger(Session session,
                         Schema schema)

Method Detail

### setInsteadOf

    public void setInsteadOf(boolean insteadOf)

### setBefore

    public void setBefore(boolean before)

### setTriggerClassName

    public void setTriggerClassName(java.lang.String triggerClassName)

### setTriggerSource

    public void setTriggerSource(java.lang.String triggerSource)

### setTypeMask

    public void setTypeMask(int typeMask)

### setRowBased

    public void setRowBased(boolean rowBased)

### setQueueSize

    public void setQueueSize(int size)

### setNoWait

    public void setNoWait(boolean noWait)

### setTableName

    public void setTableName(java.lang.String tableName)

### setTriggerName

    public void setTriggerName(java.lang.String name)

### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setForce

    public void setForce(boolean force)

### setOnRollback

    public void setOnRollback(boolean onRollback)

### getType

    public int getType()

  Description copied from class: `Prepared`
  Get the command type as defined in CommandInterface

  Specified by:
    `getType` in class `Prepared`
  Returns:
    the statement type